<?php
$this->PageTitle = 'Notícias';
$botoes = (User::canUpdate()) ? '{view} {update}' : '{view}';

if (User::isAdmin()) {
	$botoes .= ' {delete}';
}

if((User::canCreate()) and (User::isAdmin() or User::getPrivilegio() == "3"  or User::getPrivilegio() == "7" or User::getPrivilegio() == "8" or User::getPrivilegio() == "9" or User::getPrivilegio() == "12")) {
	$imagem = FaHtml::iconNovo();
} else {
	$imagem = FaHtml::iconBlank();
}

$this->menu = array(
	array('label'=> $imagem, 'url'=>array('create'), 'linkOptions'=>array('target' => '_blank', 'class' => 'novo')),
	array('label'=>FaHtml::iconSetaClose(), 'url'=>'#', 'linkOptions'=>array('class' => 'search-button')),
	array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button')),
);
?>

<?php
$dataProvider = $model->search();
?>
<div class="search-form" style="display:<?php echo ($dataProvider->totalItemCount > 0) ? 'none' : 'block'; ?>" >
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('ext.Utils.widgets.CrmGridView', array(
	'id' => 'admin-grid',
	'dataProvider' => $dataProvider,
	'afterAjaxUpdate'=>'updated',
	'selectableRows'=>1,
	'pager' => Util::getPagerDefaultConfig(),
	'columns' => array(
		'NTS_DATA',
		array(
				'name'=>'Autor',
				'value'=>'GxHtml::valueEx($data->Autor)',
		),
		'NTS_ASSUNTO',
		'NTS_VALIDADE',
		array(
			'class' => 'CButtonColumn',
			'template'=>$botoes,
			'viewButtonOptions'=>array('target'=>'_blank'),
			'updateButtonOptions'=>array('target'=>'_blank'),			
		),
	),
));